/*
 * Copyright (C) 2006 TopCoder Inc., All Rights Reserved.
 */
/**
 * Copyright (c) 2005, TopCoder, Inc. All rights reserved
 */
package com.topcoder.testframework;

import com.topcoder.testframework.web.DefaultWebApplicationServerTest;
import com.topcoder.testframework.web.PrepareTestEarTaskTest;
import com.topcoder.testframework.web.PrepareTestWarTaskTest;
import com.topcoder.testframework.web.TCFilterTestCaseTest;
import com.topcoder.testframework.web.TCJspTestCaseTest;
import com.topcoder.testframework.web.TCServletTestCaseTest;

import junit.framework.Test;
import junit.framework.TestCase;
import junit.framework.TestSuite;


/**
 * <p>
 * This test case aggregates all Unit test cases.
 * </p>
 *
 * @author TopCoder
 * @version 1.0
 */
public class UnitTests extends TestCase {
    public static Test suite() {
        final TestSuite suite = new TestSuite();

        suite.addTest(AntTaskInfoTest.suite());
        suite.addTest(ApplicationServerTest.suite());
        suite.addTest(CredentialPropertyTest.suite());
        suite.addTest(CredentialsElementTest.suite());
        suite.addTest(DataServerTest.suite());
        suite.addTest(ServerAppTestTaskTest.suite());
        suite.addTest(ServerElementTest.suite());
        suite.addTest(ServerTest.suite());
        suite.addTest(DefaultWebApplicationServerTest.suite());
        suite.addTest(PrepareTestEarTaskTest.suite());
        suite.addTest(PrepareTestWarTaskTest.suite());
        suite.addTest(TCFilterTestCaseTest.suite());
        suite.addTest(TCJspTestCaseTest.suite());
        suite.addTest(TCServletTestCaseTest.suite());

        return suite;
    }
}
