CREATE TABLE DOCUMENT_COLLECTION_DOCUMENT_XREF (
	COLLECTION_ID	VARCHAR(40),
	DOCUMENT_ID	VARCHAR(40)
);


CREATE TABLE DOCUMENT_COLLECTION (
	COLLECTION_ID	VARCHAR(40),
	PRIMARY KEY (COLLECTION_ID)
);


CREATE TABLE DOCUMENT (
	DOCUMENT_ID	VARCHAR(40),
	LOCALE		VARCHAR(30),
	SOURCE_IDENTITY	BLOB,
	CLASS_NAME	VARCHAR(255),
	USE_COUNT	INTEGER,
	PRIMARY KEY (DOCUMENT_ID)
);


CREATE TABLE DELIMITER (
	DOCUMENT_ID	VARCHAR(40),
	DELIMITER_ENTRY	VARCHAR(10),
	DELIMITER_SORT_ORDER INTEGER
);


CREATE TABLE WORD (
	WORD_ID		INTEGER,
	DOCUMENT_ID	VARCHAR(40),
	WORD_ENTRY	VARCHAR(255)
);


CREATE TABLE WORD_POSITION (
	DOCUMENT_ID	VARCHAR(40),
	WORD_ID		INTEGER,
	WORD_POSITION	INTEGER
);


CREATE TABLE WORD_DATA (
	DOCUMENT_ID	VARCHAR(40),
	WORD_DATA	CLOB
);


ALTER TABLE DOCUMENT_COLLECTION_DOCUMENT_XREF
	ADD CONSTRAINT FOREIGN KEY (COLLECTION_ID)
		REFERENCES DOCUMENT_COLLECTION;

ALTER TABLE DOCUMENT_COLLECTION_DOCUMENT_XREF
	ADD CONSTRAINT FOREIGN KEY (DOCUMENT_ID)
		REFERENCES DOCUMENT;

ALTER TABLE DELIMITER
	ADD CONSTRAINT FOREIGN KEY (DOCUMENT_ID)
		REFERENCES DOCUMENT;

ALTER TABLE WORD
	ADD CONSTRAINT FOREIGN KEY (DOCUMENT_ID)
		REFERENCES DOCUMENT;

ALTER TABLE WORD_POSITION
	ADD CONSTRAINT FOREIGN KEY (DOCUMENT_ID)
		REFERENCES DOCUMENT;

ALTER TABLE WORD_DATA
	ADD CONSTRAINT FOREIGN KEY (DOCUMENT_ID)
		REFERENCES DOCUMENT;
